VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "Progress"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit

Public Event ProgressUpdated(pdProgress As Double)
Public Event ProcessUpdated(psProcess As String)
Public Event SubProcessUpdated(psSubProcess As String)

Public Sub RunProcess(poObject As Object, psMethod As String, pbShowProgress As Boolean, Optional pbSmoothScrolling As Boolean = False, Optional plProgressColour As Long = &H800000)
    
    With frmProgress
        Call .PassParam(poObject, psMethod, Me, pbShowProgress, pbSmoothScrolling, plProgressColour)
        .Show vbModal
    End With
    
End Sub

Public Sub UpdateProcess(psProcess As String)
    RaiseEvent ProcessUpdated(psProcess)
End Sub

Public Sub UpdateProgress(pdProgress As Double)
    RaiseEvent ProgressUpdated(pdProgress)
End Sub

Public Sub UpdateSubProcess(psSubProcess As String)
    RaiseEvent SubProcessUpdated(psSubProcess)
End Sub


